Subject: Re: bug#58232: 29.0.50; alloc.c:879: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max

From: Visuwesh <[email-masked]>
Date: Sun, 02 Oct 2022 10:00:22 +0530

[சனி அக்டோபர் 01, 2022] Eli Zaretskii wrote:

>> With a build with checking enabled, I get the following message when I
>> launch Emacs.
>> 
>>     % emacs -Q
>>     alloc.c:879: Emacs fatal error: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max
>>     Aborted
>> 
>> However, if I attach gdb to Emacs and launch it, it starts just fine.
>
> Can you enable core files and produce a core dump?  Then it can be
> debugged with GDB, and we could see the backtrace.

I attached the core dump to this mail.  In case GMail mangles it, then
you can get it from http://ix.io/4c3V.  Since gdb's list command showed
somewhere around SECCOMP_USABLE, I checked if Emacs was built with
seccomp with the following C program

    #if defined HAVE_LINUX_SECCOMP_H && defined HAVE_LINUX_FILTER_H \
      && HAVE_DECL_SECCOMP_SET_MODE_FILTER                          \
      && HAVE_DECL_SECCOMP_FILTER_FLAG_TSYNC
    # define SECCOMP_USABLE 1
    #else
    # define SECCOMP_USABLE 0
    #endif

    #include <stdio.h>
    int
    main(){
        printf("%d\n", SECCOMP_USABLE);
    }

and it printed 0.